import sys
import argparse

from py_jsm_asset.py_jsm_asset import RestAssetCommunicator

parser = argparse.ArgumentParser()


parser.add_argument("-s", "--schema",required = False, help = "the project schema")
parser.add_argument("-t", "--type",required = False, help = "the object type target that contain the object to delete")
parser.add_argument("-i", "--token",required = True, help = "API token file")
parser.add_argument("-a", "--aql",required = True, help = "AQL query to match object to delete")
parser.add_argument("-f", "--force",required = False, default=False, help = "force, dont prompt before removing")
parser.add_argument("-v", "--verbose",required = False, default=False,action='store_true',help = "verbose")

args = parser.parse_args()

if __name__ == "__main__":

    if args.schema and args.type and args.token:
        try:
            file = open(args.token)
        except FileNotFoundError as e:
            print(f"the file \"{args.token}\" can't be found")
            raise FileNotFoundError(e)
        fileText = file.readlines()
        file.close()
        asset=RestAssetCommunicator("https://servicedesk.infn.it/rest/",fileText[0],"1.0",args.schema)
        cnt=0
        aql=asset.searchObjects(args.aql,args.type)
        lista=aql['objectEntries']
        print(f"Found {len(lista)} objects")
        if args.verbose:
            for ele in lista:
                cnt+=1
                print(f"{cnt}] scheduled for removing \"{ele['label']}\" id {ele['id']}")

        if len(lista) >0:
            if not(args.force):
                user_input = input(f'Do you want to proceeed removing {len(lista)} elements (yes/no): ')
                if user_input.lower() != 'yes':
                    sys.exit(0)
            cnt=0
            for ele in lista:
                if args.verbose:
                    cnt+=1
                    print(f"deleting \"{ele['label']}\" id {ele['id']} {cnt}/{len(lista)}")
                asset.deleteObject(ele['id'])
            



