from setuptools import setup, find_packages

setup(
    name='py_jsm_asset',
    version='1.0.0',
    packages=find_packages(),
    install_requires=[
        'requests',
        'certifi',
        'charset-normalizer',
        'idna',
        'urllib3'
    ],
    entry_points={
        'console_scripts': [
            'jsm_dhcp_import=py_jsm_asset.jsm_dhcp_import:main',
            'jsm_csv_import=py_jsm_asset.jsm_csv_import:main',
            'jsm_json_import=py_jsm_asset.jsm_json_import:main',
            'aql_object_dump=py_jsm_asset.aql_object_dump:main',
            'aql_object_delete=py_jsm_asset.aql_object_delete:main',
            'create_cross_references=py_jsm_asset.create_cross_references:main',
        ],
    },
    author='Andrea Michelotti',
    author_email='andrea.michelotti@infn.it',
    description='Python Library for handling Jira Service Manager asset. Provides a class to read, modify and add objects to asset schema.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/yourusername/py_jsm_asset',
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.9',
)